'use strict';

const bhttp = require('bhttp');
const sharp = require('sharp');
const { argv } = require('yargs');

const url = argv.url || 'http://localhost:5000/media/actors/tommy-pistol/1580341442712.jpeg';

async function scan() {
    console.log(url);

    const res = await bhttp.get(url);
    const stats = await sharp(res.body).stats();

    console.log(stats);
}

scan();
